<?php
if( !defined('ISDVBBS') ){
	header('HTTP/1.0 404 Not Found');
	exit;
}
global $imgurl;
?>
<div class="mainbox">
		<div class="page_right border">
		<div class="leftcolor"><br />
		<span><?=$lang['tpl.str118']?><?=$groupinfo['usernum']?><?=$lang['tpl.str119']?> <a href="indivgroup_member.php?groupid=<?=$_GET['groupid']?>"><?=$lang['tpl.str120']?></a></span><br />
		<span class="username"><?=$lang['tpl.str134']?></span>
<?
foreach( $user_list as $key=>$user ){
?>
			<div class="photoroom"><img src="<?=$user['userface']?>" width="42" height="42" /><br /><a target="_blank" href="dispuser.php?id=<?=$user['userid']?>"><?=$user['username']?></a></div>
<?
}
?>
		<div style="clear:both"></div><br />
		<span class="username"><?=$lang['tpl.str135']?></span>
<?
foreach( $admin_list as $key=>$user ){
?>
			<div class="photoroom"><img src="<?=$user['userface']?>" width="80" /><br /><a target="_blank" href="dispuser.php?id=<?=$user['userid']?>"><?=$user['username']?></a></div>
<?
}
?>
		<div style="clear:both"></div><br />
		</div>
	</div>
	<div class="page_left border">
		<h1 class="font14 leftcolor padding">
		<a href="indivgroup_post.php?action=new&amp;groupid=<?=$_GET['groupid']?>&amp;groupboardid=<?=$_GET['groupboardid']?>"><img src="<?=$imgurl?>post/post.gif" border="0" /></a>
		</h1>
		<table width="98%" class="heightd" border="0" cellspacing="0" cellpadding="0">
<?
$t = 0;
foreach( $_topics as $key=>$topic ){
	$topic['lastpost']=explode('$',$topic['lastpost']);
	$topic['lastpost'][2] = gmdate('Y-m-d', $topic['lastpost'][2]+getUserTimeZoneOffset());
	(-1 == $topic['isvote']) AND ($topic['title'] = '['.$lang['list.tpl.str70'].']&nbsp;'.$topic['title']);
	$datedifftime = 0;
	if ( intval($board_settings[64]) > 0 ){
		if ( intval($board_settings[63]) == 0 ){
			$datedifftime = dateDiff('M',$topic['lastpost'][2],$nowtimes);
		}else{
			$datedifftime = dateDiff('M',$topic['dateandtime'],$nowtimes);
		}
		if ( $datedifftime > intval($board_settings[64]) ){
			$datedifftime = 0;
		}
	}
	$dispfile = 'indivgroup_dispbbs.php';
?>
			<tr>
				<td class="list2">　
<?
	$topic['lastpost'][3] = preg_replace( '/<([^<>]*?)>/i' ,'' ,$topic['lastpost'][3]);
	$topic['dateandtime'] = gmdate("Y-m-d H:i:s",$topic['dateandtime']+getUserTimeZoneOffset());
	$html_locktopic = htmlspecialchars($topic['locktopic']);
	$html_postusername = htmlspecialchars($topic['postusername']);
	$html_lastpost = htmlspecialchars($topic['lastpost'][3]);
?>
<a href="<?=$dispfile?>?groupid=<?=$topic['groupid']?>&amp;groupboardid=<?=$topic['boardid']?>&amp;id=<?=$topic['topicid']?>&amp;page=<?=$page?>" title="<?=$lang['list.tpl.str71']?><?=$html_locktopic?><?=$lang['list.tpl.str72']?>&#xA;<?=$lang['list.tpl.str31']?><?=$html_postusername?>&#xA;<?=$lang['list.tpl.str32']?><?=$topic['dateandtime']?>&#xA;<?=$lang['list.tpl.str33']?><?=$html_lastpost?> " <?=$topic['topicmode']?>><?=$topic['title']?></a>
<?
if ($topic['isvote'] != -1 AND ($topic['child'] + 1) > $board_settings[61]){
	$pagelinks = '';
	if ($board_settings[61] < 1) {
		$board_settings[61] = 20;
	}
	$topicpages = ceil(($topic['child'] + 1) / $board_settings[61]);
	for ($i = 1; $i <= $topicpages; $i++) {
		$pagelinks .= "<a href=\"".$dispfile."?groupid=".$topic['groupid']."&amp;groupboardid=".$topic['boardid']."&id=".$topic['topicid']."&page=".$page."&star=".$i."\">".$i."</a> ";
		if($i == 6) {
			$i = $topicpages + 1;
		}
	}
	if($topicpages > 6) {
		$pagelinks .= " .. <a href=\"".$dispfile."?groupid=".$topic['groupid']."&amp;groupboardid=".$topic['boardid']."&id=".$topic['topicid']."&page=".$page."&star=".$topicpages."\">".$topicpages."</a> ";
	}
?>
	<small>( <b><?=$pagelinks?></b> )</small>
<?
}
?>
				</td>
				<td class="list4"><?=$topic['lastpost'][2]?></td>
			</tr>
<?
}
?>
			</table><br />


<?
//版面列表分页涵数显示
if ($_forum['topicnum'] > 0){
	$multipage = pagelist($_forum['topicnum'],$board_settings[60],$page,"indivgroup_index.php?groupid={$groupid}&groupboardid={$groupboardid}&action={$action}&topicmode={$topicmode}",$t,1000,'','1');
?>
<div class="mainbox notice">
<?=$multipage;//分页显示?>
</div>
<?
}
?>

	</div>
</div>